
// FYEDrawDemoVCView.h: CFYEDrawDemoVCView 类的接口
//

#pragma once


class CFYEDrawDemoVCView : public CView
{
protected: // 仅从序列化创建
	CFYEDrawDemoVCView() noexcept;
	DECLARE_DYNCREATE(CFYEDrawDemoVCView)

// 特性
public:
	CFYEDrawDemoVCDoc* GetDocument() const;

// 操作
public:

// 重写
public:
	virtual void OnDraw(CDC* pDC);  // 重写以绘制该视图
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// 实现
public:
	virtual ~CFYEDrawDemoVCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 生成的消息映射函数
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnFileExport();
	afx_msg void OnPropDevice();
	afx_msg void OnPropLine();
	afx_msg void OnPropArea();
	afx_msg void OnPropText();
	afx_msg void OnPropFont();
	afx_msg void OnPropVanvas();
	afx_msg void OnPropZoom();
	afx_msg void OnPropImg();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnFileNew();
	afx_msg void OnFileOpen();
};

#ifndef _DEBUG  // FYEDrawDemoVCView.cpp 中的调试版本
inline CFYEDrawDemoVCDoc* CFYEDrawDemoVCView::GetDocument() const
   { return reinterpret_cast<CFYEDrawDemoVCDoc*>(m_pDocument); }
#endif

